// startfenster.cpp : implementation file
//

#include "stdafx.h"
#include "Ecopay.h"
#include "startfenster.h"

// startfenster dialog

IMPLEMENT_DYNAMIC(startfenster, CDialog)

startfenster::startfenster(CWnd* pParent /*=NULL*/)
: CDialog(startfenster::IDD, pParent)
, m_brush(RGB(255,255,240))
{

}

startfenster::~startfenster()
{
}

void startfenster::DoDataExchange( CDataExchange* pDX)
{
    CDialog::DoDataExchange( pDX);
}

BEGIN_MESSAGE_MAP(startfenster, CDialog)
ON_BN_CLICKED(IDC_BUTTON_STECKBRIEFNEU_SCHMETT, &CEcopayApp::OnNeuersteckbriefSchmetterling)
ON_BN_CLICKED(IDC_BUTTON_STECKBRIEFNEU_VOGEL, &CEcopayApp::OnNeuersteckbriefVogel)
ON_BN_CLICKED(IDC_BUTTON_STECKBRIEFNEU_LEBENSR, &CEcopayApp::OnNeuersteckbriefLebensraumtyp)
ON_BN_CLICKED(IDC_BUTTON_STECKBRIEFLADEN_SCHMETT, &CEcopayApp::OnSteckbriefladenSchmetterling)
ON_BN_CLICKED(IDC_BUTTON_STECKBRIEFLADEN_VOGEL, &CEcopayApp::OnSteckbriefladenVogel)
ON_BN_CLICKED(IDC_BUTTON_STECKBRIEFLADEN_LEBENSR, &CEcopayApp::OnSteckbriefladenLebensraumtyp)
ON_BN_CLICKED(IDC_BUTTON_GRUENLANDNEU, &CEcopayApp::OnGisGisdateneinlesen)
ON_BN_CLICKED(IDC_BUTTON_GRUENLANDLADEN, &CEcopayApp::OnGruenlandNeuesgruenland)
ON_BN_CLICKED(IDC_BUTTON_SIM_AGRAR, &CEcopayApp::OnModellierungKostenberechnung)
ON_BN_CLICKED(IDC_BUTTON_SIM_MASSN, &CEcopayApp::OnModellierungSimulierungvonausgleichszahlungen)
ON_BN_CLICKED(IDC_BUTTON_OPT_BUDGET, &CEcopayApp::OnSimulationSimulierungausgew32802)
ON_BN_CLICKED(IDC_BUTTON_OPT_ZIEL, &CEcopayApp::OnOptimierungQualit32804)
ON_WM_CTLCOLOR()
ON_STN_CLICKED(IDC_STATIC_BOLD, &startfenster::OnStnClickedStaticBold)
END_MESSAGE_MAP()

// startfenster message handlers
HBRUSH startfenster::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
    HBRUSH hBrush = CreateSolidBrush(RGB(255,255,255));
    return hBrush;
//	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
//
//	// TODO:  Ändern Sie hier alle Attribute für den DC.
//	int ID = pWnd->GetDlgCtrlID();
//
//	if(ID == IDD_DIALOG_Steckbrief_Schmetterling)
//	{
//		HBRUSH hBrush = CreateSolidBrush(RGB(255,255,240));
//		return hBrush;
//	}
//	
//	if( ID == IDC_STATIC)
//   {
//      // Set the text color 
//      pDC->SetTextColor(RGB(0,100,0));
//
//      // Set the background mode for text to transparent 
//      // so background will show thru.
//      pDC->SetBkMode(TRANSPARENT);
//
//      // Return handle to our CBrush object
//      //hbr = m_brush;
//   }
//
//	// TODO:  Ändern Sie hier alle Attribute für den DC.
//	
//	if ((ID == IDC_STATIC1) || (ID == IDC_STATIC2) || (ID == IDC_STATIC3) || (ID == IDC_STATIC4) || 
//		(ID == IDC_STATIC5) || (ID == IDC_STATIC6))
//    {
//        pDC->SetTextColor(RGB(139,26,26)); // Setzt die Textfarbe auf rot
//		 pDC->SetBkMode(TRANSPARENT);
//        //HBRUSH hBrush = CreateSolidBrush(RGB(255,0,0)); //Setzt die Hintergrundfarbe auf rot
//       // return (HBRUSH) hBrush;
//    } 
//
//	// TODO:  Gib einen anderen Pinsel zurück, wenn der Standard nicht erwünscht ist.
//	hbr = m_brush;
//
//	// TODO:  Gib einen anderen Pinsel zurück, wenn der Standard nicht erwünscht ist.
//	return hbr;
}

BOOL startfenster::OnInitDialog()
{
    // Get current font.
    CFont* pFont = GetDlgItem( IDC_STATIC_BOLD)->GetFont();
    LOGFONT LogFont = { 0};
    pFont->GetLogFont( &LogFont);

    // Create new font with underline style.
    LogFont.lfWeight = 700;
    m_StaticFont.CreateFontIndirect( &LogFont);
    
    // Sets the new font back to static text.
    GetDlgItem( IDC_STATIC_BOLD)->SetFont( &m_StaticFont);
    
    return TRUE;
}

void startfenster::OnStnClickedStaticBold()
{
    // TODO: Add your control notification handler code here
}
